Open CASCADE Technology 7.8.2.dev
ShapeFix_IntersectionTool Class Reference

Tool for fixing selfintersecting wire and intersecting wires. More...

#include <ShapeFix_IntersectionTool.hxx>

Public Member Functions

 ShapeFix_IntersectionTool (const Handle< ShapeBuild_ReShape > &context, const Standard_Real preci, const Standard_Real maxtol=1.0)
 Constructor.
 
Handle< ShapeBuild_ReShapeContext () const
 Returns context.
 
Standard_Boolean SplitEdge (const TopoDS_Edge &edge, const Standard_Real param, const TopoDS_Vertex &vert, const TopoDS_Face &face, TopoDS_Edge &newE1, TopoDS_Edge &newE2, const Standard_Real preci) const
 Split edge on two new edges using new vertex "vert" and "param" - parameter for splitting The "face" is necessary for pcurves and using TransferParameterProj.
 
Standard_Boolean CutEdge (const TopoDS_Edge &edge, const Standard_Real pend, const Standard_Real cut, const TopoDS_Face &face, Standard_Boolean &iscutline) const
 Cut edge by parameters pend and cut.
 
Standard_Boolean FixSelfIntersectWire (Handle< ShapeExtend_WireData > &sewd, const TopoDS_Face &face, Standard_Integer &NbSplit, Standard_Integer &NbCut, Standard_Integer &NbRemoved) const
 
Standard_Boolean FixIntersectingWires (TopoDS_Face &face) const
 

Detailed Description

Tool for fixing selfintersecting wire and intersecting wires.

Constructor & Destructor Documentation

◆ ShapeFix_IntersectionTool()

ShapeFix_IntersectionTool::ShapeFix_IntersectionTool ( const Handle< ShapeBuild_ReShape > & context,
const Standard_Real preci,
const Standard_Real maxtol = 1.0 )

Constructor.

Member Function Documentation

◆ Context()

Handle< ShapeBuild_ReShape > ShapeFix_IntersectionTool::Context ( ) const

Returns context.

◆ CutEdge()

Standard_Boolean ShapeFix_IntersectionTool::CutEdge ( const TopoDS_Edge & edge,
const Standard_Real pend,
const Standard_Real cut,
const TopoDS_Face & face,
Standard_Boolean & iscutline ) const

Cut edge by parameters pend and cut.

◆ FixIntersectingWires()

Standard_Boolean ShapeFix_IntersectionTool::FixIntersectingWires ( TopoDS_Face & face) const

◆ FixSelfIntersectWire()

Standard_Boolean ShapeFix_IntersectionTool::FixSelfIntersectWire ( Handle< ShapeExtend_WireData > & sewd,
const TopoDS_Face & face,
Standard_Integer & NbSplit,
Standard_Integer & NbCut,
Standard_Integer & NbRemoved ) const

◆ SplitEdge()

Standard_Boolean ShapeFix_IntersectionTool::SplitEdge ( const TopoDS_Edge & edge,
const Standard_Real param,
const TopoDS_Vertex & vert,
const TopoDS_Face & face,
TopoDS_Edge & newE1,
TopoDS_Edge & newE2,
const Standard_Real preci ) const

Split edge on two new edges using new vertex "vert" and "param" - parameter for splitting The "face" is necessary for pcurves and using TransferParameterProj.


The documentation for this class was generated from the following file: